ARG ELK_VERSION

FROM docker.elastic.co/beats/filebeat:${ELK_VERSION}

# USER root
# RUN groupmod -g 1002 filebeat
# RUN usermod -u 1002 -g 1002 filebeat
# RUN chown -R filebeat /usr/share/filebeat
# RUN sed -i -e 's/--userspec=1000/--userspec=1002/g' \
#            -e 's/UID 1000/UID 1002/' \
#            -e 's/chown -R 1000/chown -R 1002/' /usr/local/bin/docker-entrypoint
# RUN chown filebeat /usr/local/bin/docker-entrypoint

# USER 1002:1002

